import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Definition of AWS::Omics::WorkflowVersion Resource Type.
 */
export declare function getWorkflowVersion(args: GetWorkflowVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkflowVersionResult>;
export interface GetWorkflowVersionArgs {
    arn: string;
}
export interface GetWorkflowVersionResult {
    readonly arn?: string;
    readonly creationTime?: string;
    readonly description?: string;
    readonly status?: enums.omics.WorkflowVersionWorkflowStatus;
    readonly storageCapacity?: number;
    readonly storageType?: enums.omics.WorkflowVersionStorageType;
    readonly tags?: {
        [key: string]: string;
    };
    readonly type?: enums.omics.WorkflowVersionWorkflowType;
    readonly uuid?: string;
}
/**
 * Definition of AWS::Omics::WorkflowVersion Resource Type.
 */
export declare function getWorkflowVersionOutput(args: GetWorkflowVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkflowVersionResult>;
export interface GetWorkflowVersionOutputArgs {
    arn: pulumi.Input<string>;
}
